Bug 456723 - Review Request: libatasmart - ATA S.M.A.R.T. Disk Health Monitoring Library
Review Request: libatasmart - ATA S.M.A.R.T. Disk Health Monitoring Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 16:48 EDT by Lennart Poettering
Modified: 2008-08-06 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 09:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2008-07-25 16:48:31 EDT
Spec URL: http://0pointer.de/public/libatasmart.spec
SRPM URL: http://0pointer.de/public/libatasmart-0.1-1.fc10.src.rpm
Description: A small and lightweight parser library for ATA S.M.A.R.T. hard disk health monitoring.

Future versions of DeviceKit-disks will depend on this.
Comment 1 Adel Gadllah 2008-07-26 11:51:31 EDT
[-]	source files match upstream:
		it doesn't fbffdc4551dd63368babf6fdd659a4bef8e0e647 vs
23116bb3a88fb9ccfbe229ac5a209beb8c80535f
		please package the upstream tarball (When doing changes upstream please bump
the release)
[+]	package meets naming and versioning guidelines.
[+]	specfile is properly named, is cleanly written and uses macros consistently.
[+]	dist tag is present.
[+]	build root is correct.
[-]	license field matches the actual license:
		The spec says "License: LGPLv2" while the source files say "or (at your
option) any later version."
		Please change to LGPLv2+
[+]	license is open source-compatible.
[+]	license text included in package.
[?]	latest version is being packaged:
		The version number is the lastest but the checksums do not match (see first
comment)
[+]	BuildRequires are proper.
[+]	compiler flags are appropriate.
[+]	%clean is present.
[+]	package builds in koji:
	http://koji.fedoraproject.org/koji/taskinfo?taskID=740525
[+]	package installs properly.
[+]	debuginfo package looks complete.
[+]	rpmlint output:
	Shows one waring "libatasmart-devel.x86_64: W: no-documentation" can be safly
ignored.
[+]	ldconfig is used in %post and %postun
[+]	no duplicates in %files.
[+]	file permissions are appropriate.
[+]	code, not content.
[+]	documentation is small, so no -docs subpackage is necessary.
[+]	%docs are not necessary for the proper functioning of the package.

------
Package looks good to me please fix the two issues noted and I will approve it.
* package correct upstream tarball
* fix license tag

Comment 2 Adel Gadllah 2008-07-26 12:10:10 EDT
One more thing pass %{?_smp_mflags} to the make command.
Comment 3 Lennart Poettering 2008-07-27 18:06:31 EDT
(In reply to comment #1)
> [-]	source files match upstream:
> 		it doesn't fbffdc4551dd63368babf6fdd659a4bef8e0e647 vs
> 23116bb3a88fb9ccfbe229ac5a209beb8c80535f

Fixed. Since I am both upstream and the packager I got a bit confused I guess.

> [-]	license field matches the actual license:
> 		The spec says "License: LGPLv2" while the source files say "or (at your
> option) any later version."
> 		Please change to LGPLv2+

Fixed.

(In reply to comment #2)
> One more thing pass %{?_smp_mflags} to the make command.

Fixed.

I uploaded the spec file and the srpm to the same location. I didn't bump the
rpm revision. 
Comment 4 Adel Gadllah 2008-07-28 10:41:23 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > [-]	source files match upstream:
> > 		it doesn't fbffdc4551dd63368babf6fdd659a4bef8e0e647 vs
> > 23116bb3a88fb9ccfbe229ac5a209beb8c80535f
> 
> Fixed. Since I am both upstream and the packager I got a bit confused I guess.

OK both are the same now (fbffdc4551dd63368babf6fdd659a4bef8e0e647).
I know that you are upstream, hence the comment about bumping the version when
generating new tarballs ;)

> > [-]	license field matches the actual license:
> > 		The spec says "License: LGPLv2" while the source files say "or (at your
> > option) any later version."
> > 		Please change to LGPLv2+
> 
> Fixed.

OK

> (In reply to comment #2)
> > One more thing pass %{?_smp_mflags} to the make command.
> 
> Fixed.

OK

> I uploaded the spec file and the srpm to the same location. I didn't bump the
> rpm revision. 

You should (even during the review process).

As for the package now its fine.

=> APPROVED
Comment 5 Lennart Poettering 2008-07-28 10:55:25 EDT
New Package CVS Request
=======================
Package Name: libatasmart
Short Description: ATA S.M.A.R.T. Disk Health Monitoring Library
Owners: lennart
Branches:
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-07-28 12:16:17 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.